> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kibocommerce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Location

> Add a new location.



## OpenAPI

````yaml /openapi/openapi_location_admin.json post /commerce/admin/locations
openapi: 3.0.1
info:
  description: |-
    <div id="overview_LOCATION_ADMIN">
                <h2>LOCATION ADMINISTRATION</h2>
                <p>The Location and Location Groups APIs enable tenants to associate a physical address with product inventory,
                    provide a store finder for in-store pickup, or both and manage these locations at individual and group levels. See the
                    <a href="/pages/locations">Location user guides</a>
                    for information about the related feature in the Unified Commerce Admin.</p>
                <p>The <strong>Location Admin</strong>
                    resource
                    allows information about the individual locations to be accessed and edited, including creating new
                    locations.</p>
                <p>Use the <strong>Location Group</strong> and <strong>Location Group Configuration</strong> resources to manage groups, or sets of similar fulfillment locations that are bundled together
                    to improve efficiency of managing configurations based on catalogs, custom fulfillment flows,
                    available carrier options, and so forth.</p>
                <p>Use the <strong>Location Types</strong> resource to manage the types of locations your tenant maintains, such as
                    warehouses,
                    physical storefronts, and kiosks.</p>
                <p>Use the <strong>Location Settings</strong> resource to to define the available usages; or the locations and
                        location types that interact
                        with a specified site.</p>
            </div>
  title: Location Admin
  version: 0.0.1
servers:
  - description: Kibo Base URL
    url: '{baseUrl}/api'
    variables:
      baseUrl:
        default: https://t1000000.sb.usc1.gcp.kibocommerce.com
        description: Base URL
security:
  - bearerAuth: []
paths:
  /commerce/admin/locations:
    post:
      tags:
        - LocationAdmin
      summary: Add Location
      description: Add a new location.
      parameters:
        - description: limits which fields are returned in the response body
          in: query
          name: responseFields
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/Location'
        description: ''
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Location'
            text/json:
              schema:
                $ref: '#/components/schemas/Location'
            text/plain:
              schema:
                $ref: '#/components/schemas/Location'
          description: Success
components:
  schemas:
    Location:
      properties:
        address:
          $ref: '#/components/schemas/CommerceRuntimeAddress'
        allowFulfillmentWithNoStock:
          type: boolean
        attributes:
          items:
            $ref: '#/components/schemas/LocationAttribute'
          nullable: true
          type: array
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        capacity:
          $ref: '#/components/schemas/Capacity'
        code:
          nullable: true
          type: string
        cutoffTimes:
          $ref: '#/components/schemas/CutoffTimes'
        deliveryConsolidation:
          type: boolean
        description:
          nullable: true
          type: string
        dropShip:
          $ref: '#/components/schemas/DropShip'
        express:
          type: boolean
        fax:
          nullable: true
          type: string
        fulfillmentTypes:
          items:
            $ref: '#/components/schemas/FulfillmentType'
          nullable: true
          type: array
        geo:
          $ref: '#/components/schemas/Coordinates'
        includeInInventoryAggregrate:
          type: boolean
        includeInLocationExport:
          type: boolean
        isDisabled:
          type: boolean
        locationTypes:
          items:
            $ref: '#/components/schemas/LocationType'
          nullable: true
          type: array
        name:
          nullable: true
          type: string
        note:
          nullable: true
          type: string
        phone:
          nullable: true
          type: string
        processingTimes:
          $ref: '#/components/schemas/ProcessingTimes'
        regularHours:
          $ref: '#/components/schemas/RegularHours'
        requiresManifest:
          type: boolean
        shipToHomeConsolidation:
          type: boolean
        shippingOriginContact:
          $ref: '#/components/schemas/ShippingOriginContact'
        slaConfigurations:
          items:
            $ref: '#/components/schemas/SlaConfiguration'
          nullable: true
          type: array
        supportsInventory:
          type: boolean
        tags:
          items:
            type: string
          nullable: true
          type: array
        transferEnabled:
          type: boolean
        warehouseEnabled:
          type: boolean
      type: object
    CommerceRuntimeAddress:
      properties:
        address1:
          nullable: true
          type: string
        address2:
          nullable: true
          type: string
        address3:
          nullable: true
          type: string
        address4:
          nullable: true
          type: string
        addressType:
          nullable: true
          type: string
        cityOrTown:
          nullable: true
          type: string
        countryCode:
          nullable: true
          type: string
        isValidated:
          nullable: true
          type: boolean
        postalOrZipCode:
          nullable: true
          type: string
        stateOrProvince:
          nullable: true
          type: string
      type: object
    LocationAttribute:
      properties:
        adminName:
          maxLength: 50
          nullable: true
          type: string
        attributeCode:
          maxLength: 50
          type: string
        attributeFQN:
          nullable: true
          type: string
        attributeMetadata:
          items:
            $ref: '#/components/schemas/LocationAttributeMetadataItem'
          nullable: true
          type: array
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        availableForDiscounts:
          type: boolean
        availableForOrderRouting:
          type: boolean
        content:
          $ref: '#/components/schemas/CommerceRuntimeAttributeLocalizedContent'
        dataType:
          nullable: true
          type: string
        displayGroup:
          type: string
        id:
          format: int32
          nullable: true
          type: integer
        inputType:
          nullable: true
          type: string
        isActive:
          nullable: true
          type: boolean
        isMultiValued:
          nullable: true
          type: boolean
        isReadOnly:
          type: boolean
        isRequired:
          nullable: true
          type: boolean
        isVisible:
          nullable: true
          type: boolean
        namespace:
          maxLength: 200
          nullable: true
          type: string
        order:
          format: int32
          nullable: true
          type: integer
        validation:
          $ref: '#/components/schemas/CommerceRuntimeAttributeValidation'
        valueType:
          type: string
        vocabularyValues:
          items:
            $ref: '#/components/schemas/LocationAttributeVocabularyValue'
          nullable: true
          type: array
      required:
        - attributeCode
        - displayGroup
        - valueType
      type: object
    AdminUserAuditInfo:
      properties:
        createBy:
          nullable: true
          type: string
        createDate:
          format: date-time
          nullable: true
          type: string
        updateBy:
          nullable: true
          type: string
        updateDate:
          format: date-time
          nullable: true
          type: string
      type: object
    Capacity:
      properties:
        shipmentsPerUnit:
          format: int32
          nullable: true
          type: integer
        unitOfMeasure:
          nullable: true
          type: string
      type: object
    CutoffTimes:
      properties:
        schedules:
          items:
            $ref: '#/components/schemas/CutoffSchedule'
          nullable: true
          type: array
        timeZone:
          $ref: '#/components/schemas/LocationTimeZone'
      type: object
    DropShip:
      properties:
        vendorCode:
          nullable: true
          type: string
      type: object
    FulfillmentType:
      properties:
        code:
          nullable: true
          type: string
        name:
          nullable: true
          type: string
      type: object
    Coordinates:
      properties:
        lat:
          format: double
          type: number
        lng:
          format: double
          type: number
      type: object
    LocationType:
      properties:
        auditInfo:
          $ref: '#/components/schemas/AdminUserAuditInfo'
        code:
          nullable: true
          type: string
        name:
          nullable: true
          type: string
      type: object
    ProcessingTimes:
      properties:
        fulfillment:
          items:
            $ref: '#/components/schemas/FulfillmentProcessingTime'
          nullable: true
          type: array
        receive:
          $ref: '#/components/schemas/ReceiveProcessingTime'
      type: object
    RegularHours:
      properties:
        friday:
          $ref: '#/components/schemas/Hours'
        monday:
          $ref: '#/components/schemas/Hours'
        saturday:
          $ref: '#/components/schemas/Hours'
        sunday:
          $ref: '#/components/schemas/Hours'
        thursday:
          $ref: '#/components/schemas/Hours'
        timeZone:
          nullable: true
          type: string
        tuesday:
          $ref: '#/components/schemas/Hours'
        wednesday:
          $ref: '#/components/schemas/Hours'
      type: object
    ShippingOriginContact:
      properties:
        companyOrOrganization:
          nullable: true
          type: string
        email:
          nullable: true
          type: string
        firstName:
          nullable: true
          type: string
        lastNameOrSurname:
          nullable: true
          type: string
        middleNameOrInitial:
          nullable: true
          type: string
        phoneNumber:
          nullable: true
          type: string
      type: object
    SlaConfiguration:
      properties:
        isEnabled:
          type: boolean
        slaId:
          format: int32
          type: integer
        targetServiceLevelPercentage:
          format: int32
          type: integer
      type: object
    LocationAttributeMetadataItem:
      properties:
        key:
          maxLength: 50
          type: string
        value:
          type: string
      required:
        - key
        - value
      type: object
    CommerceRuntimeAttributeLocalizedContent:
      properties:
        localeCode:
          maxLength: 8
          nullable: true
          type: string
        value:
          maxLength: 100
          nullable: true
          type: string
      type: object
    CommerceRuntimeAttributeValidation:
      properties:
        maxDateTime:
          format: date-time
          nullable: true
          type: string
        maxNumericValue:
          format: double
          nullable: true
          type: number
        maxStringLength:
          format: int32
          nullable: true
          type: integer
        minDateTime:
          format: date-time
          nullable: true
          type: string
        minNumericValue:
          format: double
          nullable: true
          type: number
        minStringLength:
          format: int32
          nullable: true
          type: integer
        regularExpression:
          maxLength: 200
          nullable: true
          type: string
      type: object
    LocationAttributeVocabularyValue:
      properties:
        content:
          $ref: '#/components/schemas/LocationAttributeValueLocalizedContent'
        isHidden:
          nullable: true
          type: boolean
        sequence:
          format: int32
          nullable: true
          type: integer
        value:
          maxLength: 50
          type: string
      required:
        - value
      type: object
    CutoffSchedule:
      properties:
        fulfillmentType:
          nullable: true
          type: string
        times:
          $ref: '#/components/schemas/WeeklyCutoffHours'
      type: object
    LocationTimeZone:
      properties:
        ianaCode:
          nullable: true
          type: string
        id:
          nullable: true
          type: string
        isDaylightSavingsTime:
          type: boolean
        offset:
          format: double
          type: number
      type: object
    FulfillmentProcessingTime:
      properties:
        fulfillmentTypeCode:
          nullable: true
          type: string
        unit:
          nullable: true
          type: string
        value:
          format: int32
          type: integer
      type: object
    ReceiveProcessingTime:
      properties:
        unit:
          nullable: true
          type: string
        value:
          format: int32
          type: integer
      type: object
    Hours:
      properties:
        closeTime:
          nullable: true
          type: string
        isClosed:
          type: boolean
        label:
          nullable: true
          type: string
        openTime:
          nullable: true
          type: string
      type: object
    LocationAttributeValueLocalizedContent:
      properties:
        localeCode:
          type: string
        value:
          type: string
      required:
        - localeCode
        - value
      type: object
    WeeklyCutoffHours:
      properties:
        friday:
          $ref: '#/components/schemas/CutoffHours'
        monday:
          $ref: '#/components/schemas/CutoffHours'
        saturday:
          $ref: '#/components/schemas/CutoffHours'
        sunday:
          $ref: '#/components/schemas/CutoffHours'
        thursday:
          $ref: '#/components/schemas/CutoffHours'
        tuesday:
          $ref: '#/components/schemas/CutoffHours'
        wednesday:
          $ref: '#/components/schemas/CutoffHours'
      type: object
    CutoffHours:
      properties:
        endTime:
          nullable: true
          type: string
        isClosed:
          type: boolean
        startTime:
          nullable: true
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      description: JWT Authorization header using the Bearer scheme.
      scheme: bearer
      type: http

````